### Method

# Xdp Portal dynamic_launcher_prepare_install_finish

#### Declaration [src]

    GVariant*
    xdp_portal_dynamic_launcher_prepare_install_finish (
      XdpPortal* portal,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the prepare-install-launcher request, and returns `GVariant` dictionary with the following information:

- name s: the name chosen by the user (or the provided name if the editable_name option was not set)
- token s: a token that can by used in a `xdp_portal_dynamic_launcher_install()` call to complete the installation.

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GVariant`
| A `GVariant` dictionary with launcher information.
| The caller of the method takes ownership of the data, and is responsible for freeing it.